summaryrefslogtreecommitdiffstats
path: root/net/tdetect
diff options
context:
space:
mode:
authortg <tg@FreeBSD.org>2000-07-05 12:37:06 +0000
committertg <tg@FreeBSD.org>2000-07-05 12:37:06 +0000
commit3a84881f168162a487490bbbd275ca05b7f5560d (patch)
treee888acd7e17d635c1f902fccb1eefdf89f15641a /net/tdetect
parent83513fef56c1c9996eb040a93488ed7837fac927 (diff)
downloadFreeBSD-ports-3a84881f168162a487490bbbd275ca05b7f5560d.zip
FreeBSD-ports-3a84881f168162a487490bbbd275ca05b7f5560d.tar.gz
As threatened on freebsd-ports: all startup scripts know about the two
options `start' and `stop' now (unless I have forgotten any). This allows us to call the scripts from /etc/rc.shutdown with the correct option. The (42 or so) ports that already DTRT before are unchanged.
Diffstat (limited to 'net/tdetect')
-rw-r--r--net/tdetect/Makefile5
-rw-r--r--net/tdetect/files/tdetect.sh22
2 files changed, 23 insertions, 4 deletions
diff --git a/net/tdetect/Makefile b/net/tdetect/Makefile
index 9793bc9..30fb3f6 100644
--- a/net/tdetect/Makefile
+++ b/net/tdetect/Makefile
@@ -28,10 +28,7 @@ do-install:
post-install:
@if [ ! -f ${PREFIX}/etc/rc.d/tdetect.sh ]; then \
${ECHO} "Installing ${PREFIX}/etc/rc.d/tdetect.sh startup file."; \
- ${ECHO} "#!/bin/sh" > ${PREFIX}/etc/rc.d/tdetect.sh; \
- ${ECHO} "ETHERNETDEV=ed0" >> ${PREFIX}/etc/rc.d/tdetect.sh; \
- ${ECHO} '[ -x ${PREFIX}/sbin/tdetect ] && ${PREFIX}/sbin/tdetect $$ETHERNETDEV && ${ECHO} -n " tdetect"' >> ${PREFIX}/etc/rc.d/tdetect.sh; \
- ${CHMOD} 750 ${PREFIX}/etc/rc.d/tdetect.sh; \
+ ${INSTALL_SCRIPT} -m 750 ${FILESDIR}/tdetect.sh ${PREFIX}/etc/rc.d/tdetect.sh; \
${SED} -e 's,/usr/local,${PREFIX},g' ${PKGMESSAGE}; \
fi
diff --git a/net/tdetect/files/tdetect.sh b/net/tdetect/files/tdetect.sh
new file mode 100644
index 0000000..d12593c
--- /dev/null
+++ b/net/tdetect/files/tdetect.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then
+ echo "$0: Cannot determine the PREFIX" >&2
+ exit 1
+fi
+
+ETHERNETDEV=ed0
+
+case "$1" in
+start)
+ [ -x ${PREFIX}/sbin/tdetect ] && ${PREFIX}/sbin/tdetect $ETHERNETDEV && echo -n " tdetect"
+ ;;
+stop)
+ killall tdetect && echo -n " tdetect"
+ ;;
+*)
+ echo "Usage: `basename $0` {start|stop}" >&2
+ ;;
+esac
+
+exit 0
OpenPOWER on IntegriCloud